Bug 30292 - Inconsistent handling of gettext domain can cause compile failure
Summary: Inconsistent handling of gettext domain can cause compile failure
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.6
: P2 Normal
Assignee: Nobody
URL: http://permalink.gmane.org/gmane.os.a...
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-11 18:51 PDT by Daniel Macks
Modified: 2009-10-19 04:51 PDT (History)
1 user (show)

See Also:


Attachments
Use DOMAIN variable instead of hard-coded value (1.62 KB, patch)
2009-10-14 12:51 PDT, Daniel Macks
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Macks 2009-10-11 18:51:28 PDT
Several makefiles hardcode the gettext domain in the .pot filename ("webkit.pot") but other parts of the makefiles (and the code that accesses them) use a variable. The following is using webkit-1.1.10 release, but the code that triggers the problem appears the same in svn trunk. All support pkgs supplied via fink at the level of GNOME2.26, and gettext 0.14.5:

1. Edit configure

-GETTEXT_PACKAGE=$PACKAGE
+GETTEXT_PACKAGE="${PACKAGE}-1.0.2"

2. Build the package

./configure --prefix=/sw        --disable-dependency-tracking \
--enable-gtk-doc \
--disable-video \
--disable-jit \
PKG_CONFIG_PATH="/sw/lib/fontconfig2/lib/pkgconfig:$PKG_CONFIG_PATH" \
XT_CFLAGS=" " XT_LIBS=-lXt
mkdir DerivedSources
make
make -C WebKit/gtk/docs

Build failure (reported by several users on multiple OSX versions):

/sw/bin/msgmerge --update de.po webkit-1.0.2.pot
/sw/bin/msgmerge: error while opening "webkit-1.0.2.pot" for reading: No
such file or directory
make[1]: *** [WebKit/gtk/po/de.po] Error 1
make: *** [all] Error 2


The bug is that the make recipe for the "webkit-1.0.2.pot" target generates "webkit.pot":

/sw/bin/xgettext --default-domain=webkit-1.0.2 --directory=. \
--add-comments=TRANSLATORS:  \
--files-from=./WebKit/gtk/po/POTFILES \
--copyright-holder='' \
--msgid-bugs-address="$msgid_bugs_address" \
--keyword=_ --keyword=N_ -o ./WebKit/gtk/po/webkit.pot

The -o flag is hardcoded instead of using the $DOMAIN variable.
Comment 1 Daniel Macks 2009-10-14 12:51:03 PDT
Created attachment 41181 [details]
Use DOMAIN variable instead of hard-coded value
Comment 2 Adam Barth 2009-10-18 23:08:01 PDT
Comment on attachment 41181 [details]
Use DOMAIN variable instead of hard-coded value

ok.
Comment 3 WebKit Commit Bot 2009-10-19 04:51:03 PDT
Comment on attachment 41181 [details]
Use DOMAIN variable instead of hard-coded value

Clearing flags on attachment: 41181

Committed r49773: <http://trac.webkit.org/changeset/49773>
Comment 4 WebKit Commit Bot 2009-10-19 04:51:06 PDT
All reviewed patches have been landed.  Closing bug.